ClassMap (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.ClassMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class ClassMap

    java.lang.Object
      org.apache.velocity.util.introspection.ClassMap

public class ClassMap
extends Object

A cache of introspection information for a specific class instance. Keys `Method` objects by a concatenation of the method name and the names of classes that make up the parameters.

Version:
  $Id: ClassMap.java 778038 2009-05-23 21:52:50Z nbubna $
Author:
  Jason van Zyl, Bob McWhirter, Attila Szegedi, Geir Magnusson Jr., Henning P. Schmiedehausen, Nathan Bubna

Constructor Summary
`ClassMap(Class clazz, Log log)` Standard constructor

Method Summary
`Method` | `findMethod(String name, Object[] params)` Find a Method using the method name and parameter objects.
`Class` | `getCachedClass()` Returns the class object whose methods are cached by this map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassMap

    public ClassMap(Class clazz,
                    Log log)

  Standard constructor

Parameters:
  `clazz` - The class for which this ClassMap gets constructed.

Method Detail

### getCachedClass

    public Class getCachedClass()

  Returns the class object whose methods are cached by this map.

  Returns:
    The class object whose methods are cached by this map.

### findMethod

    public Method findMethod(String name,
                             Object[] params)
                      throws MethodMap.AmbiguousException

  Find a Method using the method name and parameter objects.

  Parameters:
    `name` - The method name to look up.
    `params` - An array of parameters for the method.
  Returns:
    A Method object representing the method to invoke or null.
  Throws:
    `MethodMap.AmbiguousException` - When more than one method is a match for the parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.